Bug 820772 - documentation does not indicate beaker user is necessary
documentation does not indicate beaker user is necessary
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity low (vote)
: 0.9.0
: ---
Assigned To: Raymond Mancy
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 19:33 EDT by Nish Aravamudan
Modified: 2015-05-03 22:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 01:55:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nish Aravamudan 2012-05-10 19:33:19 EDT
There is no explicit step of creating a beaker user, but the database manipulation/creation assume such a user exists.
Comment 1 Raymond Mancy 2012-05-21 09:31:56 EDT
The creation of a user is documented in the beaker-init step, where we pass an admin user and password in.
Comment 2 Nish Aravamudan 2012-05-22 19:24:54 EDT
Beaker supports MySQL,MSSQL,Oracle,MaxDB,PostgreSQL, and SQLite. For this tutorial,we willMySQL. First, make sure MySQL server is installed, and configure the daemon to run at startup.
$ yum install -y mysql-server MySQL-python
$ chkconfig mysqld on
$ service mysqld start
Create a database, and grant access to beaker user. You can put the database on the local machine,
or on a remote machine. In the example below, the database is hosted on the local machine.
$ echo "create database beaker;" | mysql
$ echo "grant all on beaker.* to 'beaker'@'localhost' IDENTIFIED BY 'beaker';"| mysql
Now let's initialise our DB with tables. We'll also create an admin account called admin with password
testing, and email root@localhost.
$ beaker-init -u admin -p testing -e root@localhost

This is from Beaker-0-Deployment_Guide-en-US.pdf, which appears to be the only version available online.

Looking in my git tree (not fully up to date, but pretty recent), none of this has changed in pub_doc?

Let's say you are right, though, and the beaker-init step does something to create a 'beaker' user -- that should be documented that it's happening, shouldn't it?

Finally, the DB commands are *before* the beaker-init commands in the doc, so it doesn't seem like the beaker-init command should be relevant.
Comment 3 Raymond Mancy 2012-05-22 21:45:13 EDT
(In reply to comment #2)
> Beaker supports MySQL,MSSQL,Oracle,MaxDB,PostgreSQL, and SQLite. For this
> tutorial,we willMySQL. First, make sure MySQL server is installed, and
> configure the daemon to run at startup.
> $ yum install -y mysql-server MySQL-python
> $ chkconfig mysqld on
> $ service mysqld start
> Create a database, and grant access to beaker user. You can put the database
> on the local machine,
> or on a remote machine. In the example below, the database is hosted on the
> local machine.
> $ echo "create database beaker;" | mysql
> $ echo "grant all on beaker.* to 'beaker'@'localhost' IDENTIFIED BY
> 'beaker';"| mysql
> Now let's initialise our DB with tables. We'll also create an admin account
> called admin with password
> testing, and email root@localhost.
> $ beaker-init -u admin -p testing -e root@localhost
> 
> This is from Beaker-0-Deployment_Guide-en-US.pdf, which appears to be the
> only version available online.
> 
> Looking in my git tree (not fully up to date, but pretty recent), none of
> this has changed in pub_doc?
> 
> Let's say you are right, though, and the beaker-init step does something to
> create a 'beaker' user -- that should be documented that it's happening,
> shouldn't it?
> 
> Finally, the DB commands are *before* the beaker-init commands in the doc,
> so it doesn't seem like the beaker-init command should be relevant.

Sorry Nish. When you said 'creating a beaker user' I expected you meant a user in the beaker user database. Which is what 'beaker-init -u admin -p testing' does, it creates the 'admin' user.

I think what you meant though was 'create the beaker user in the DB', which is the user referred to here:

  $ echo "grant all on beaker.* to 'beaker'@'localhost' IDENTIFIED BY   'beaker';"| mysql
Comment 4 Raymond Mancy 2012-05-22 22:33:00 EDT
http://gerrit.beaker-project.org/#/c/1081/

Note You need to log in before you can comment on or make changes to this bug.